﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Xenon.KifuNarabe.L01_Communication
{

    /// <summary>
    /// ************************************************************************************************************************
    /// 駒の種類(*1)です。
    /// ************************************************************************************************************************
    /// 
    ///         *1…歩、香、桂、銀、金、飛車、角、王、と金、成香、成桂、成銀、龍、馬、制御用符号各種。
    /// 
    /// </summary>
    public enum KomaSyurui
    {
        /// <summary>
        /// 歩
        /// </summary>
        Fu,

        /// <summary>
        /// 香
        /// </summary>
        Kyo,

        /// <summary>
        /// 桂
        /// </summary>
        Kei,

        /// <summary>
        /// 銀
        /// </summary>
        Gin,

        /// <summary>
        /// 金
        /// </summary>
        Kin,

        /// <summary>
        /// 飛車
        /// </summary>
        Hisya,

        /// <summary>
        /// 角
        /// </summary>
        Kaku,

        /// <summary>
        /// 王　or　玉
        /// </summary>
        Oh,

        /// <summary>
        /// と金
        /// </summary>
        Tokin,

        /// <summary>
        /// 成香
        /// </summary>
        NariKyo,

        /// <summary>
        /// 成桂
        /// </summary>
        NariKei,

        /// <summary>
        /// 成銀
        /// </summary>
        NariGin,

        /// <summary>
        /// 竜
        /// </summary>
        Ryu,

        /// <summary>
        /// 馬
        /// </summary>
        Uma,

        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// なんの働きもしない値(*1)として。
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        CTRL_NOTHING_PROPERTY
    }


}
