﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Xenon.KifuNarabe.L02_Common
{

    /// <summary>
    /// ************************************************************************************************************************
    /// SFEN形式の初期配置の書き方の、データの持ち方です。
    /// ************************************************************************************************************************
    /// </summary>
    public class SfenStartpos
    {

        #region プロパティ類

        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 1段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan1
        {
            get
            {
                return this.dan1;
            }
        }
        private string dan1;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 2段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan2
        {
            get
            {
                return this.dan2;
            }
        }
        private string dan2;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 3段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan3
        {
            get
            {
                return this.dan3;
            }
        }
        private string dan3;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 4段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan4
        {
            get
            {
                return this.dan4;
            }
        }
        private string dan4;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 5段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan5
        {
            get
            {
                return this.dan5;
            }
        }
        private string dan5;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 6段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan6
        {
            get
            {
                return this.dan6;
            }
        }
        private string dan6;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 7段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan7
        {
            get
            {
                return this.dan7;
            }
        }
        private string dan7;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 8段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan8
        {
            get
            {
                return this.dan8;
            }
        }
        private string dan8;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 9段目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Dan9
        {
            get
            {
                return this.dan9;
            }
        }
        private string dan9;

        
        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 先後
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string StrSengo
        {
            get
            {
                return this.strSengo;
            }
        }
        private string strSengo;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// ▲王
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string MK
        {
            get
            {
                return this.mK;
            }
        }
        private string mK;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// ▲飛
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string MR
        {
            get
            {
                return this.mR;
            }
        }
        private string mR;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// ▲角
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string MB
        {
            get
            {
                return this.mB;
            }
        }
        private string mB;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// ▲金
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string MG
        {
            get
            {
                return this.mG;
            }
        }
        private string mG;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// ▲銀
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string MS
        {
            get
            {
                return this.mS;
            }
        }
        private string mS;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// ▲桂
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string MN
        {
            get
            {
                return this.mN;
            }
        }
        private string mN;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// ▲香
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string ML
        {
            get
            {
                return this.mL;
            }
        }
        private string mL;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// ▲歩
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string MP
        {
            get
            {
                return this.mP;
            }
        }
        private string mP;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// △王
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Mk
        {
            get
            {
                return this.mk;
            }
        }
        private string mk;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// △飛
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Mr
        {
            get
            {
                return this.mr;
            }
        }
        private string mr;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// △角
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Mb
        {
            get
            {
                return this.mb;
            }
        }
        private string mb;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// △金
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Mg
        {
            get
            {
                return this.mg;
            }
        }
        private string mg;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// △銀
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Ms
        {
            get
            {
                return this.ms;
            }
        }
        private string ms;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// △桂
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Mn
        {
            get
            {
                return this.mn;
            }
        }
        private string mn;


        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// △香
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Ml
        {
            get
            {
                return this.ml;
            }
        }
        private string ml;

        
        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// △歩
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Mp
        {
            get
            {
                return this.mp;
            }
        }
        private string mp;

        
        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// 手目
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        public string Teme
        {
            get
            {
                return this.teme;
            }
        }
        private string teme;

        #endregion


        /// <summary>
        /// ************************************************************************************************************************
        /// コンストラクターです。
        /// ************************************************************************************************************************
        /// </summary>
        /// <param name="dan1"></param>
        /// <param name="dan2"></param>
        /// <param name="dan3"></param>
        /// <param name="dan4"></param>
        /// <param name="dan5"></param>
        /// <param name="dan6"></param>
        /// <param name="dan7"></param>
        /// <param name="dan8"></param>
        /// <param name="dan9"></param>
        /// <param name="strSengo"></param>
        /// <param name="mK"></param>
        /// <param name="mR"></param>
        /// <param name="mB"></param>
        /// <param name="mG"></param>
        /// <param name="mS"></param>
        /// <param name="mN"></param>
        /// <param name="mL"></param>
        /// <param name="mP"></param>
        /// <param name="mk"></param>
        /// <param name="mr"></param>
        /// <param name="mb"></param>
        /// <param name="mg"></param>
        /// <param name="ms"></param>
        /// <param name="mn"></param>
        /// <param name="ml"></param>
        /// <param name="mp"></param>
        /// <param name="teme"></param>
        public SfenStartpos(
            string dan1,  //1段目
            string dan2,//2段目
            string dan3,//3段目
            string dan4,//4段目
            string dan5,//5段目
            string dan6,  //6段目
            string dan7,  //7段目
            string dan8,  //8段目
            string dan9,  //9段目
            string strSengo,  //先後
            string mK,  //▲王
            string mR,  //▲飛
            string mB,  //▲角
            string mG,  //▲金
            string mS,  //▲銀
            string mN,  //▲桂
            string mL,  //▲香
            string mP,  //▲歩
            string mk,  //△王
            string mr,  //△飛
            string mb,  //△角
            string mg,  //△金
            string ms,  //△銀
            string mn,  //△桂
            string ml,  //△香
            string mp,  //△歩
            string teme  //手目
            )
        {
            this.dan1 = dan1;  //1段目
            this.dan2 = dan2;//2段目
            this.dan3 = dan3;//3段目
            this.dan4 = dan4;//4段目
            this.dan5 = dan5;//5段目
            this.dan6 = dan6;  //6段目
            this.dan7 = dan7;  //7段目
            this.dan8 = dan8;  //8段目
            this.dan9 = dan9;  //9段目
            this.strSengo = strSengo;  //先後
            this.mK = mK;  //▲王
            this.mR = mR;  //▲飛
            this.mB = mB;  //▲角
            this.mG = mG;  //▲金
            this.mS = mS;  //▲銀
            this.mN = mN;  //▲桂
            this.mL = mL;  //▲香
            this.mP = mP;  //▲歩
            this.mk = mk;  //△王
            this.mr = mr;  //△飛
            this.mb = mb;  //△角
            this.mg = mg;  //△金
            this.ms = ms;  //△銀
            this.mn = mn;  //△桂
            this.ml = ml;  //△香
            this.mp = mp;  //△歩
            this.teme = teme;  //手目
        }
    }
}
