﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Xenon.KifuNarabe.L01_Communication
{

    /// <summary>
    /// ************************************************************************************************************************
    /// 駒置き場です。
    /// ************************************************************************************************************************
    /// 
    ///         *1…駒袋、将棋盤、先手駒台、後手駒台、制御用符号各種。
    /// 
    /// </summary>
    public enum Okiba
    {

        /// <summary>
        /// 将棋盤
        /// </summary>
        ShogiBan,

        /// <summary>
        /// 先手駒台
        /// </summary>
        Sente_Komadai,

        /// <summary>
        /// 後手駒台
        /// </summary>
        Gote_Komadai,

        /// <summary>
        /// 駒袋
        /// </summary>
        KomaBukuro,

        /// <summary>
        /// ------------------------------------------------------------------------------------------------------------------------
        /// なんの働きもしない値(*1)として。
        /// ------------------------------------------------------------------------------------------------------------------------
        /// </summary>
        CTRL_NOTHING_PROPERTY,

        /// <summary>
        /// エラー時
        /// </summary>
        CTRL_ERROR
    }

}
