﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Windows.Forms;
using Xenon.KifuNarabe.L00_DammyConsole;
using Xenon.KifuNarabe.L02_Common;
using Xenon.KifuNarabe.L04_Shape;

namespace Xenon.KifuNarabe.L06_Ui
{

    /// <summary>
    /// ************************************************************************************************************************
    /// メニューのうち、ループ処理をするものを、ここに書きます。
    /// ************************************************************************************************************************
    /// </summary>
    public abstract class Ui_02MenuLoop
    {
        /// <summary>
        /// ************************************************************************************************************************
        /// [再生]ボタン
        /// ************************************************************************************************************************
        /// </summary>
        public static void Saisei(Ui_PnlMain ui_PnlMain, Shape_PnlTaikyoku brush_PnlTaikyoku, Kifu kifu)
        {
            RequestForMain requestForMain = new RequestForMain();

            //
            // 次のような状況を想定しています。
            //
            //      「次の一手は、もう将棋エンジンに溜められていて、ReadLine() で取り出せる」
            //

            // コマ送りに成功している間、コマ送りし続けます。
            while (Ui_02Menu.ReadLine_TuginoItteSusumu(ref requestForMain, brush_PnlTaikyoku, kifu))
            {
                // 他のアプリが固まらないようにします。
                Application.DoEvents();

                // 早すぎると描画されないので、ウェイトを入れます。
                System.Threading.Thread.Sleep(45);

                //------------------------------------------------------------
                // パネル
                //------------------------------------------------------------
                ui_PnlMain.Response(requestForMain);


                //
                //
                //  ここで、次の一手が、もう将棋エンジンに溜められているものとして、処理を進めます。
                //
                //

            }
        }

    }
}
