﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Drawing;
using Xenon.KifuNarabe.L01_Communication;
using Xenon.KifuNarabe.L02_Common;
using Xenon.KifuNarabe.L03_TuginoItte;
using Xenon.KifuNarabe.L04_Shape;

namespace Xenon.KifuNarabe.L06_Ui
{

    /// <summary>
    /// ************************************************************************************************************************
    /// メニューの挙動の中で、細分化したものを、ここに書きます。
    /// ************************************************************************************************************************
    /// </summary>
    public abstract class Ui_03Action
    {




        /// <summary>
        /// ************************************************************************************************************************
        /// 駒を、平手の初期配置に並べます。
        /// ************************************************************************************************************************
        /// </summary>
        public static void Syokihaichi_Hirate( Kifu kifu)
        {
            int i = 0;
            kifu.Init();

            Kyokumen ky = kifu.Kyokumen;
            Okiba okiba = Okiba.ShogiBan;

            // 先手
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 1, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 2, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 3, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 4, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 5, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 6, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 7, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 8, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 9, 7, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 2, 8, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 8, 8, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 1, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 2, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 3, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 4, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 5, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 6, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 7, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 8, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Sente, okiba, 9, 9, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;


            // 後手
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 1, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 2, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 3, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 4, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 5, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 6, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 7, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 8, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 9, 3, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 8, 2, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 2, 2, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 1, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 2, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 3, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 4, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 5, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 6, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 7, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 8, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;
            ky.KomaDoors[i] = new TeProcess(Sengo.Gote, okiba, 9, 1, Converter01.SyuruiToFunariCase(ky.KomaDoors[i].Syurui));
            i++;

            // 符号の記憶を消去します。
            kifu.Clear();
            kifu.SetStartpos();
        }







        /// <summary>
        /// ************************************************************************************************************************
        /// SFENの初期配置の書き方(*1)を元に、駒を並べます。
        /// ************************************************************************************************************************
        /// 
        ///     *1…「position startpos moves 7g7f 3c3d 2g2f」といった書き方。
        ///     
        /// </summary>
        /// <returns></returns>
        public static void Syokihaichi_ByStartpos(
            SfenStartpos sfenStartpos,
            Kifu kifu
            )
        {
            //------------------------------
            // 駒を駒袋に移動
            //------------------------------
            kifu.Kyokumen.ClearToKomabukuro();


            string[] strDanArr = new string[]{
                "",
                sfenStartpos.Dan1,
                sfenStartpos.Dan2,
                sfenStartpos.Dan3,
                sfenStartpos.Dan4,
                sfenStartpos.Dan5,
                sfenStartpos.Dan6,
                sfenStartpos.Dan7,
                sfenStartpos.Dan8,
                sfenStartpos.Dan9
            };


            int spaceCount;
            Sengo sengo;
            KomaSyurui syurui;
            //------------------------------
            // 1段目～9段目
            //------------------------------
            for (int dan = 1; dan <= 9; dan++)
            {
                //System.Console.WriteLine("strDanArr[" + dan + "]=" + strDanArr[dan]);
                int suji = 9;

                while (suji >= 1)
                {
                    if (strDanArr[dan].Length < 1)
                    {
                        break;
                    }

                    string moji;
                    moji = strDanArr[dan].Substring(0, 1);
                    if (1 <= strDanArr[dan].Length)
                    {
                        strDanArr[dan] = strDanArr[dan].Substring(1, strDanArr[dan].Length - 1);
                    }
                    else
                    {
                        strDanArr[dan] = "";
                    }

                    if ("+" == moji && 1 <= strDanArr[dan].Length)
                    {
                        // もう１文字、切り取ります。
                        moji = moji + strDanArr[dan].Substring(0, 1);
                        strDanArr[dan] = strDanArr[dan].Substring(1, strDanArr[dan].Length - 1);
                    }

                    System.Console.WriteLine("　　　　moji=" + moji);

                    if (int.TryParse(moji, out spaceCount))
                    {
                        // スペースの個数です。
                        //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                        System.Console.WriteLine("　　　　spaceCount=" + spaceCount);
                        suji -= spaceCount;
                    }
                    else
                    {
                        // 駒でした。
                        //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                        Converter01.SfenSyokihaichiToSyurui(moji, out sengo, out syurui);

                        //System.Console.WriteLine("　　　　sengo=" + sengo.ToString());
                        //System.Console.WriteLine("　　　　syurui=" + syurui.ToString());

                        List<int> hKomas = kifu.Kyokumen.HKomas_ByOkibaSengoSyurui(
                            Okiba.KomaBukuro,
                            sengo,
                            Converter01.SyuruiToFunariCase(syurui)
                            );
                        System.Console.WriteLine("　　　　hKomas.Count=" + hKomas.Count);

                        // それぞれの駒に適用
                        foreach (int hKoma in hKomas)
                        {


                            kifu.Kyokumen.KomaDoors[hKoma] = new TeProcess(
                                sengo,
                                Okiba.ShogiBan,
                                suji,
                                dan,
                                syurui
                                );

                            //Ui_04SubAction.RefreshKomaLocation(btnKoma.Handle, brush_PnlTaikyoku, kifu.Kyokumen);

                            //System.Console.WriteLine("　　　　suji=" + suji + "　dan=" + dan);
                            //System.Console.WriteLine("　　　　koma.Masu.Sengo=" + koma.Masu.Sengo);
                            //System.Console.WriteLine("　　　　koma.Masu.Okiba=" + koma.Masu.Okiba);
                            //System.Console.WriteLine("　　　　koma.Masu.Suji=" + koma.Masu.Suji);
                            //System.Console.WriteLine("　　　　koma.Masu.Dan=" + koma.Masu.Dan);
                            //System.Console.WriteLine("　　　　koma.Masu.Syurui=" + koma.Masu.Syurui);

                            break;
                        }

                        suji--;
                    }
                }
            }

            //------------------------------
            // 先後
            //------------------------------
            System.Console.WriteLine("strSengo=" + sfenStartpos.StrSengo);
            if ("w" == sfenStartpos.StrSengo)
            {
                kifu.SetSengo(Sengo.Gote);
            }
            else
            {
                kifu.SetSengo(Sengo.Sente);
            }


            //------------------------------
            // 手目
            //------------------------------
            System.Console.WriteLine("teme=" + sfenStartpos.Teme);

        }

        /// <summary>
        /// ************************************************************************************************************************
        /// 棋譜再生時用（マウス操作のときは関係ない）
        /// ************************************************************************************************************************
        /// 
        ///         一手進む、一手戻るに対応。
        /// 
        /// </summary>
        /// <param name="process">srcには現在升、dstには移動先升</param>
        /// <param name="kifu"></param>
        /// <param name="back"></param>
        public static void Kifusasi(
            TeProcess process, Shape_PnlTaikyoku brush_PnlTaikyoku, Kifu kifu, bool back)
        {
            Shape_BtnKoma btnKoma_Moved;
            Shape_BtnKoma btn_tottaKoma = null;

            //------------------------------------------------------------
            // 選択  ：  動かす駒
            //------------------------------------------------------------
            {
                System.Console.WriteLine("打か？将棋盤か？");

                if (back)
                {
                    // [戻る]とき
                    //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                    // 打った駒も、指した駒も、結局は将棋盤の上にあるはず。

                    // 将棋盤
                    btnKoma_Moved = Converter06.HKomaToBtn(kifu.Kyokumen.HKoma_AtMasu_Shogiban(
                        process.Sengo,
                        new TeProcess(
                            process.Sengo,
                            process.Okiba,
                            process.Suji,//戻るときは、先位置が　駒の居場所。
                            process.Dan,//戻るときは、先位置が　駒の居場所。
                            process.Syurui
                            )
                            ), brush_PnlTaikyoku);
                }
                else
                {
                    // 進むとき
                    //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                    if (process.IsDaAction)
                    {
                        //----------
                        // 駒台から “打”
                        //----------

                        btnKoma_Moved = Converter06.HKomaToBtn(kifu.Kyokumen.HKoma_BySyuruiIgnoreCase(
                            process.SrcOkiba,
                            process.Syurui
                            ),
                            brush_PnlTaikyoku);
                    }
                    else
                    {
                        //----------
                        // 将棋盤から
                        //----------

                        btnKoma_Moved = Converter06.HKomaToBtn(kifu.Kyokumen.HKoma_AtMasu_Shogiban(
                            process.Sengo,
                            new TeProcess(
                                process.Sengo,
                                process.Okiba,
                                process.SrcSuji,
                                process.SrcDan,
                                process.Syurui
                                )), brush_PnlTaikyoku);
                    }
                }

                if (null == btnKoma_Moved)
                {
                    goto gt_Paint;
                }
            }

            //------------------------------------------------------------
            // 確定  ：  移動先升
            //------------------------------------------------------------
            KomaSyurui syurui2;
            {
                //----------
                // 成るかどうか
                //----------
                System.Console.WriteLine("成るのか？");

                if (process.IsNatta_Process)
                {
                    if (back)
                    {
                        // 成ったのなら、非成に戻します。
                        syurui2 = Converter01.SyuruiToFunariCase(process.Syurui);
                    }
                    else
                    {
                        syurui2 = process.Syurui;
                    }
                }
                else
                {
                    syurui2 = process.Syurui;
                }
                System.Console.WriteLine("○syurui2=" + Converter01.SyuruiToFugo(syurui2));
            }

            TeProcess dst;
            if (back)
            {
                int suji;
                int dan;

                if (Okiba.Gote_Komadai == process.SrcOkiba
                    || Okiba.Sente_Komadai == process.SrcOkiba)
                {
                    // 駒台の空いている場所
                    TeProcess akiMasu = Ui_03Action.GetKomadaiSpace(process.SrcOkiba, brush_PnlTaikyoku, kifu.Kyokumen);
                    // 必ず空いている場所があるものとします。

                    suji = akiMasu.Suji;
                    dan = akiMasu.Dan;
                }
                else
                {
                    // 将棋盤上の元の位置
                    suji = process.SrcSuji;//戻し先
                    dan = process.SrcDan;//戻し先
                }


                dst = new TeProcess(
                        process.Sengo,
                        process.SrcOkiba,//戻し先
                        suji,
                        dan,
                        syurui2
                        );
            }
            else
            {
                dst = new TeProcess(
                        process.Sengo,
                        process.Okiba,
                        process.Suji,
                        process.Dan,
                        syurui2
                        );
            }

            System.Console.WriteLine("○process.Sengo=" + Converter01.SengoToStr(process.Sengo));
            System.Console.WriteLine("○process.Okiba=" + process.Okiba);
            System.Console.WriteLine("○process.Suji=" + process.Suji);
            System.Console.WriteLine("○process.Dan=" + process.Dan);

            //------------------------------------------------------------
            // 駒を取る
            //------------------------------------------------------------
            if (!back)
            {
                KomaSyurui tottaKoma;

                System.Console.WriteLine("取れる駒があるか？");
                //----------
                // 将棋盤上のその場所に駒はあるか
                //----------
                tottaKoma = KomaSyurui.CTRL_NOTHING_PROPERTY;
                Shape_BtnKoma btnKoma_Under = Converter06.HKomaToBtn(
                    kifu.Kyokumen.HKoma_AtMasuDokodemo(Okiba.ShogiBan, dst), brush_PnlTaikyoku);//盤上
                if (null != btnKoma_Under)
                {
                    // 駒があったとき
                    //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
                    tottaKoma = kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Syurui;

                    // その駒は、駒置き場に移動させます。
                    TeProcess ukProcess;
                    switch (dst.Sengo)//sengo
                    {
                        case Sengo.Gote:

                            ukProcess = Ui_03Action.GetKomadaiSpace(Okiba.Gote_Komadai, brush_PnlTaikyoku, kifu.Kyokumen);
                            if (null != ukProcess)
                            {
                                // 駒台に空きスペースがありました。
                                //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                                // 取られる動き
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle] = new TeProcess(
                                    Sengo.Gote,
                                    Okiba.Gote_Komadai,//駒台へ
                                    ukProcess.Suji,
                                    ukProcess.Dan,
                                    Converter01.SyuruiToFunariCase(kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Syurui) // 取った駒は非成へ
                                    );
                            }
                            else
                            {
                                // エラー：　駒台に空きスペースがありませんでした。
                                //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                                // 取られる動き
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle] = new TeProcess(
                                    Sengo.Gote,
                                    Okiba.Gote_Komadai,
                                    TeProcess.CTRL_NOTHING_PROPERTY_SUJI,
                                    TeProcess.CTRL_NOTHING_PROPERTY_DAN,
                                    Converter01.SyuruiToFunariCase(kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Syurui) // 取った駒は非成へ
                                    );
                            }

                            Ui_03Action.Refresh_KomaLocation(btnKoma_Under.Handle, brush_PnlTaikyoku, kifu.Kyokumen);
                            break;

                        case Sengo.Sente://thru
                        default:

                            ukProcess = Ui_03Action.GetKomadaiSpace(Okiba.Sente_Komadai, brush_PnlTaikyoku, kifu.Kyokumen);
                            if (null != ukProcess)
                            {
                                // 駒台に空きスペースがありました。
                                //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                                // 取られる動き
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle] = new TeProcess(
                                    Sengo.Sente,
                                    Okiba.Sente_Komadai,//駒台へ
                                    ukProcess.Suji,
                                    ukProcess.Dan,
                                    Converter01.SyuruiToFunariCase(kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Syurui) // 取った駒は非成へ
                                    );
                            }
                            else
                            {
                                // エラー：　駒台に空きスペースがありませんでした。
                                //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                                // 取られる動き
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle] = new TeProcess(
                                    Sengo.Sente,
                                    Okiba.Sente_Komadai,
                                    TeProcess.CTRL_NOTHING_PROPERTY_SUJI,
                                    TeProcess.CTRL_NOTHING_PROPERTY_DAN,
                                    Converter01.SyuruiToFunariCase(kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Syurui) // 取った駒は非成へ
                                    );
                            }

                            Ui_03Action.Refresh_KomaLocation(btnKoma_Under.Handle, brush_PnlTaikyoku, kifu.Kyokumen);
                            break;
                    }

                    //------------------------------
                    // 成りは解除。
                    //------------------------------
                    switch (kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Okiba)
                    {
                        case Okiba.Sente_Komadai://thru
                        case Okiba.Gote_Komadai:
                            // 駒台へ移動しました
                            //>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

                            kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle] = new TeProcess(
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Sengo,
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Okiba,
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Suji,
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].Dan,
                                kifu.Kyokumen.KomaDoors[btnKoma_Under.Handle].ToFunariCase()
                                );

                            break;
                    }



                    //------------------------------
                    // 取った駒を棋譜に覚えさせます。（差替え）
                    //------------------------------
                    TeProcess last;
                    kifu.PopLast(out last);

                    if (null != last)
                    {
                        kifu.Add(
                            new TeProcess(
                                last.Sengo,
                                last.Okiba,
                                last.SrcOkiba,
                                last.Suji,
                                last.Dan,
                                last.SrcSuji,
                                last.SrcDan,
                                last.Syurui,
                                last.SrcSyurui,
                                tottaKoma
                                )
                            );
                    }
                }

            }

            //------------------------------------------------------------
            // 駒の移動
            //------------------------------------------------------------
            System.Console.WriteLine("駒移動？");
            kifu.Kyokumen.KomaDoors[btnKoma_Moved.Handle] = dst;


            //------------------------------------------------------------
            // 取った駒を戻す
            //------------------------------------------------------------
            if (back)
            {
                System.Console.WriteLine("取った駒を戻す？");
                if ( KomaSyurui.CTRL_NOTHING_PROPERTY != process.TottaKoma )
                {
                    System.Console.WriteLine("★★取った駒=" + Converter01.SyuruiToFugo(process.TottaKoma));
                    System.Console.WriteLine("★★取った方の先後=" + Converter01.SengoToKanji(process.Sengo));

                    // 駒台から、駒を検索します。
                    Okiba okiba;
                    if (Sengo.Gote == process.Sengo)
                    {
                        okiba = Okiba.Gote_Komadai;
                    }
                    else
                    {
                        okiba = Okiba.Sente_Komadai;
                    }

                    btn_tottaKoma = Converter06.HKomaToBtn(
                        kifu.Kyokumen.HKoma_BySyuruiIgnoreCase(okiba, process.TottaKoma), brush_PnlTaikyoku);
                    if (null != btn_tottaKoma)
                    {
                        kifu.Kyokumen.KomaDoors[btn_tottaKoma.Handle] = new TeProcess(
                            Converter01.AlternateSengo(process.Sengo),
                            Okiba.ShogiBan,
                            process.Suji,
                            process.Dan,
                            process.TottaKoma
                            );
                    }

                }
            }


        gt_Paint:

            //------------------------------------------------------------
            // 駒・再描画
            //------------------------------------------------------------
            System.Console.WriteLine("駒再描画");
            //foreach (Button_Koma koma in kifu.Kyokumen.Items)
            //{
            //    Actions_Koma.RefreshKomaLocation(koma, kifu);
            //}

            if (null != btnKoma_Moved)
            {
                Ui_03Action.Refresh_KomaLocation(btnKoma_Moved.Handle, brush_PnlTaikyoku, kifu.Kyokumen);
            }

            if (null != btn_tottaKoma)
            {
                Ui_03Action.Refresh_KomaLocation(btn_tottaKoma.Handle, brush_PnlTaikyoku, kifu.Kyokumen);
            }
        }

        /// <summary>
        /// ************************************************************************************************************************
        /// 駒袋に表示されている駒を、駒台へ表示されるように移します。
        /// ************************************************************************************************************************
        /// </summary>
        /// <param name="sfenStartpos"></param>
        /// <param name="brush_PnlTaikyoku"></param>
        /// <param name="kifu"></param>
        public static void Refresh_KomabukuroToKomadai(
            SfenStartpos sfenStartpos,
            Shape_PnlTaikyoku brush_PnlTaikyoku,
            Kifu kifu
        )
        {


            List<KomaSyurui> syuruiList = new List<KomaSyurui>();
            List<int> countList = new List<int>();
            List<Sengo> sengoList = new List<Sengo>();

            //------------------------------------------------------------------------------------------------------------------------
            // 移動計画作成
            //------------------------------------------------------------------------------------------------------------------------

            //------------------------------
            // ▲王
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.MK, out count))
                {
                    syuruiList.Add(KomaSyurui.Oh);
                    countList.Add(count);
                    sengoList.Add(Sengo.Sente);
                }
            }
            System.Console.WriteLine("mK=" + sfenStartpos.MK);

            //------------------------------
            // ▲飛
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.MR, out count))
                {
                    syuruiList.Add(KomaSyurui.Hisya);
                    countList.Add(count);
                    sengoList.Add(Sengo.Sente);
                }
            }
            System.Console.WriteLine("mR=" + sfenStartpos.MR);

            //------------------------------
            // ▲角
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.MB, out count))
                {
                    syuruiList.Add(KomaSyurui.Kaku);
                    countList.Add(count);
                    sengoList.Add(Sengo.Sente);
                }
            }
            System.Console.WriteLine("mB=" + sfenStartpos.MB);

            //------------------------------
            // ▲金
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.MG, out count))
                {
                    syuruiList.Add(KomaSyurui.Kin);
                    countList.Add(count);
                    sengoList.Add(Sengo.Sente);
                }
            }
            System.Console.WriteLine("mG=" + sfenStartpos.MG);

            //------------------------------
            // ▲銀
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.MS, out count))
                {
                    syuruiList.Add(KomaSyurui.Gin);
                    countList.Add(count);
                    sengoList.Add(Sengo.Sente);
                }
            }
            System.Console.WriteLine("mS=" + sfenStartpos.MS);

            //------------------------------
            // ▲桂
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.MN, out count))
                {
                    syuruiList.Add(KomaSyurui.Kei);
                    countList.Add(count);
                    sengoList.Add(Sengo.Sente);
                }
            }
            System.Console.WriteLine("mN=" + sfenStartpos.MN);

            //------------------------------
            // ▲香
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.ML, out count))
                {
                    syuruiList.Add(KomaSyurui.Kyo);
                    countList.Add(count);
                    sengoList.Add(Sengo.Sente);
                }
            }
            System.Console.WriteLine("mL=" + sfenStartpos.ML);

            //------------------------------
            // ▲歩
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.MP, out count))
                {
                    syuruiList.Add(KomaSyurui.Fu);
                    countList.Add(count);
                    sengoList.Add(Sengo.Sente);
                }
            }
            System.Console.WriteLine("mP=" + sfenStartpos.MP);

            //------------------------------
            // △王
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.Mk, out count))
                {
                    syuruiList.Add(KomaSyurui.Oh);
                    countList.Add(count);
                    sengoList.Add(Sengo.Gote);
                }
            }
            System.Console.WriteLine("mk=" + sfenStartpos.Mk);

            //------------------------------
            // △飛
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.Mr, out count))
                {
                    syuruiList.Add(KomaSyurui.Hisya);
                    countList.Add(count);
                    sengoList.Add(Sengo.Gote);
                }
            }
            System.Console.WriteLine("mr=" + sfenStartpos.Mr);

            //------------------------------
            // △角
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.Mb, out count))
                {
                    syuruiList.Add(KomaSyurui.Kaku);
                    countList.Add(count);
                    sengoList.Add(Sengo.Gote);
                }
            }
            System.Console.WriteLine("mb=" + sfenStartpos.Mb);

            //------------------------------
            // △金
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.Mg, out count))
                {
                    syuruiList.Add(KomaSyurui.Kin);
                    countList.Add(count);
                    sengoList.Add(Sengo.Gote);
                }
            }
            System.Console.WriteLine("mg=" + sfenStartpos.Mg);

            //------------------------------
            // △銀
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.Ms, out count))
                {
                    syuruiList.Add(KomaSyurui.Gin);
                    countList.Add(count);
                    sengoList.Add(Sengo.Gote);
                }
            }
            System.Console.WriteLine("ms=" + sfenStartpos.Ms);

            //------------------------------
            // △桂
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.Mn, out count))
                {
                    syuruiList.Add(KomaSyurui.Kei);
                    countList.Add(count);
                    sengoList.Add(Sengo.Gote);
                }
            }
            System.Console.WriteLine("mn=" + sfenStartpos.Mn);

            //------------------------------
            // △香
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.Ml, out count))
                {
                    syuruiList.Add(KomaSyurui.Kyo);
                    countList.Add(count);
                    sengoList.Add(Sengo.Gote);
                }
            }
            System.Console.WriteLine("ml=" + sfenStartpos.Ml);

            //------------------------------
            // △歩
            //------------------------------
            {
                int count;
                if (int.TryParse(sfenStartpos.Mp, out count))
                {
                    syuruiList.Add(KomaSyurui.Fu);
                    countList.Add(count);
                    sengoList.Add(Sengo.Gote);
                }
            }
            System.Console.WriteLine("mp=" + sfenStartpos.Mp);


            //------------------------------------------------------------------------------------------------------------------------
            // 移動
            //------------------------------------------------------------------------------------------------------------------------
            for (int i = 0; i < syuruiList.Count; i++)
            {
                Sengo itaruSengo;   //(至)先後
                Okiba itaruOkiba;   //(至)置き場

                if (Sengo.Gote == sengoList[i])
                {
                    // 宛：後手駒台
                    itaruSengo = Sengo.Gote;
                    itaruOkiba = Okiba.Gote_Komadai;
                }
                else
                {
                    // 宛：先手駒台
                    itaruSengo = Sengo.Sente;
                    itaruOkiba = Okiba.Sente_Komadai;
                }


                //------------------------------
                // 駒を、駒袋から駒台に移動させます。
                //------------------------------
                List<int> hKomas = kifu.Kyokumen.HKomas_ByOkibaSyurui(Okiba.KomaBukuro, syuruiList[i]);
                int moved = 1;
                foreach (int hKoma in hKomas)
                {
                    // 駒台の空いている枡
                    TeProcess space = Ui_03Action.GetKomadaiSpace(itaruOkiba, brush_PnlTaikyoku, kifu.Kyokumen);

                    kifu.Kyokumen.KomaDoors[hKoma] = new TeProcess(
                        itaruSengo,
                        itaruOkiba,
                        space.Suji,
                        space.Dan,
                        syuruiList[i]
                        );

                    if (countList[i] <= moved)
                    {
                        break;
                    }

                    moved++;
                }

            }

        }



        /// <summary>
        /// ************************************************************************************************************************
        /// 局面に合わせて、駒ボタンのx,y位置を変更します
        /// ************************************************************************************************************************
        /// </summary>
        /// <param name="btnKoma">駒</param>
        public static void Refresh_KomaLocation(int hKoma, Shape_PnlTaikyoku brush_PnlTaikyoku, Kyokumen kyokumen)
        {
            TeProcess koma = kyokumen.KomaDoors[hKoma];
            Shape_BtnKoma btnKoma = Converter06.HKomaToBtn(hKoma, brush_PnlTaikyoku);

            switch (koma.Okiba)
            {
                case Okiba.ShogiBan:
                    btnKoma.Bounds = new Rectangle(
                        brush_PnlTaikyoku.Shogiban.SujiToX(koma.Suji),
                        brush_PnlTaikyoku.Shogiban.DanToY(koma.Dan),
                        btnKoma.Bounds.Width,
                        btnKoma.Bounds.Height
                        );
                    break;

                case Okiba.Sente_Komadai:
                    btnKoma.Bounds = new Rectangle(
                        brush_PnlTaikyoku.KomadaiArr[0].SujiToX(koma.Suji),
                        brush_PnlTaikyoku.KomadaiArr[0].DanToY(koma.Dan),
                        btnKoma.Bounds.Width,
                        btnKoma.Bounds.Height
                        );
                    break;

                case Okiba.Gote_Komadai:
                    btnKoma.Bounds = new Rectangle(
                        brush_PnlTaikyoku.KomadaiArr[1].SujiToX(koma.Suji),
                        brush_PnlTaikyoku.KomadaiArr[1].DanToY(koma.Dan),
                        btnKoma.Bounds.Width,
                        btnKoma.Bounds.Height
                        );
                    break;
            }
        }


        /// <summary>
        /// ************************************************************************************************************************
        /// 駒台の空いている升を返します。
        /// ************************************************************************************************************************
        /// </summary>
        /// <param name="okiba">置き場</param>
        /// <param name="uc_Main">メインパネル</param>
        /// <returns>置ける場所。無ければヌル。</returns>
        public static TeProcess GetKomadaiSpace(Okiba okiba, Shape_PnlTaikyoku brush_PnlTaikyoku, Kyokumen kyokumen)
        {
            TeProcess masu = null;

            int komadaiIndex = 0;
            if (okiba == Okiba.Gote_Komadai)
            {
                komadaiIndex = 1;
            }

            // 駒台のどこに駒があるか
            bool[,] exists = new bool[brush_PnlTaikyoku.KomadaiArr[komadaiIndex].LastDan, brush_PnlTaikyoku.KomadaiArr[komadaiIndex].LastSuji];

            foreach (TeProcess koma in kyokumen.KomaDoors)
            {
                if (koma.Okiba == okiba)
                {
                    exists[koma.Dan - 1, koma.Suji - 1] = true;
                }
            }

            Sengo sengo;
            switch (okiba)
            {
                case Okiba.Gote_Komadai:
                    sengo = Sengo.Gote;
                    break;
                default:
                    sengo = Sengo.Sente;
                    break;
            }

            for (int dan = 1; dan <= brush_PnlTaikyoku.KomadaiArr[komadaiIndex].LastDan; dan++)
            {
                for (int suji = 1; suji <= brush_PnlTaikyoku.KomadaiArr[komadaiIndex].LastSuji; suji++)
                {
                    if (!exists[dan - 1, suji - 1])
                    {
                        masu = new TeProcess(
                            sengo,
                            okiba,
                            suji,
                            dan,
                            KomaSyurui.CTRL_NOTHING_PROPERTY
                            );
                        goto gt_EndMethod;
                    }
                }
            }

        gt_EndMethod:
            return masu;
        }

    }
}
